Package org.apache.tomcat.util.descriptor.tld

## Class ValidatorXml

- java.lang.Object
- - org.apache.tomcat.util.descriptor.tld.ValidatorXml

    public class ValidatorXml
    extends Object

Model of a Tag Library Validator from the XML descriptor.

### Constructor Summary

Constructors
`ValidatorXml()`

### Method Summary

All Methods Instance Methods Concrete Methods
`void` `addInitParam​(String name, String value)`
`Map<String,​String>` `getInitParams()`
`String` `getValidatorClass()`
`void` `setValidatorClass​(String validatorClass)`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### ValidatorXml

    public ValidatorXml()

### Method Detail

#### getValidatorClass

    public String getValidatorClass()

#### setValidatorClass

    public void setValidatorClass​(String validatorClass)

#### addInitParam

    public void addInitParam​(String name,
                             String value)

#### getInitParams

    public Map<String,​String> getInitParams()